com.trendmicro.ds.platform.rest.object.newsfeed

## Class DescribeNewsFeedResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.newsfeed.DescribeNewsFeedResponse

-     public class DescribeNewsFeedResponse
      extends java.lang.Object

  Response object for the News Feed API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeNewsFeedResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNewEntries()` Gets the number of new (not viewed) news entries.
    `boolean` | `hasCommunicationError()` Gets the flag saying there is an error communicating with the news feed.
    `boolean` | `hasCriticalEntry()` Gets if the news feed have a critical entry.
    `void` | `setHasCommunicationError(boolean hasCommunicationError)` Sets the flag saying there is an error communicating with the news feed.
    `void` | `setHasCriticalEntry(boolean hasCriticalEntry)` Sets if the news feed have a critical entry.
    `void` | `setNewEntries(int newEntries)` Sets the number of new (not viewed) news entries.
    `DescribeNewsFeedResponse` | `withHasCommunicationError(boolean hasCommunicationError)` Sets the flag saying there is an error communicating with the news feed.
    `DescribeNewsFeedResponse` | `withHasCriticalEntry(boolean hasCriticalEntry)` Sets if the news feed have a critical entry.
    `DescribeNewsFeedResponse` | `withtNewEntries(int newEntries)` Sets the number of new (not viewed) news entries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeNewsFeedResponse

          public DescribeNewsFeedResponse()

  - ### Method Detail

    - #### hasCriticalEntry

          public boolean hasCriticalEntry()

      Gets if the news feed have a critical entry.
      Returns:
        true if the news feed has a critical entry, false if there is not.

    - #### setHasCriticalEntry

          public void setHasCriticalEntry(boolean hasCriticalEntry)

      Sets if the news feed have a critical entry.
      Parameters:
        `hasCriticalEntry` - true if the news feed has a critical entry, false if there is not.

    - #### hasCommunicationError

          public boolean hasCommunicationError()

      Gets the flag saying there is an error communicating with the news feed.
      Returns:
        true if there is an error, false if there is not.

    - #### setHasCommunicationError

          public void setHasCommunicationError(boolean hasCommunicationError)

      Sets the flag saying there is an error communicating with the news feed.
      Parameters:
        `hasCommunicationError` - true if there is an error, false if there is not.

    - #### getNewEntries

          public int getNewEntries()

      Gets the number of new (not viewed) news entries.
      Returns:
        The number of new (not viewed) news entries.

    - #### setNewEntries

          public void setNewEntries(int newEntries)

      Sets the number of new (not viewed) news entries.
      Parameters:
        `newEntries` - The number of new (not viewed) news entries.

    - #### withHasCriticalEntry

          public DescribeNewsFeedResponse withHasCriticalEntry(boolean hasCriticalEntry)

      Sets if the news feed have a critical entry.
      Parameters:
        `hasCriticalEntry` - true if the news feed has a critical entry, false if there is not.
      Returns:
        the updated DescribeNewsFeedResponse object.

    - #### withHasCommunicationError

          public DescribeNewsFeedResponse withHasCommunicationError(boolean hasCommunicationError)

      Sets the flag saying there is an error communicating with the news feed.
      Parameters:
        `hasCommunicationError` - true if there is an error, false if there is not.
      Returns:
        the updated DescribeNewsFeedResponse object.

    - #### withtNewEntries

          public DescribeNewsFeedResponse withtNewEntries(int newEntries)

      Sets the number of new (not viewed) news entries.
      Parameters:
        `newEntries` - The number of new (not viewed) news entries.
      Returns:
        the updated DescribeNewsFeedResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.